Skip to main content
GET
/
affiliates
/
trafficblocking
Find All Blocked Offer Sources
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/trafficblocking \
  --header 'X-Eflow-Api-Key: <api-key>'
import requests

url = "https://api.eflow.team/v1/affiliates/trafficblocking"

headers = {"X-Eflow-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};

fetch('https://api.eflow.team/v1/affiliates/trafficblocking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "traffic_blocking": [
    {
      "network_offer_id": 123,
      "relationship": {
        "variables": {
          "total": 123,
          "entries": [
            {
              "comparison_method": "<string>",
              "variable": "<string>",
              "variable_value": "<string>"
            }
          ]
        }
      }
    }
  ]
}
Returns all blocked offer/sub-parameter combinations for the authenticated affiliate. These blocks prevent traffic from specific sources from being counted. Supports filtering by offer ID and blocking status.

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Query Parameters

network_offer_id
integer

Filter by specific offer ID.

traffic_blocking_status
enum<string>

Filter by blocking status.

Available options:
active,
inactive

Response

200 - application/json
traffic_blocking
object[]

Array of blocked offer source entries.